/*
 * Copyright (c) 2010-2012 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.plugin.gwt.client;

import java.util.Map.Entry;

import com.extjs.gxt.ui.client.data.ModelData;
import com.extjs.gxt.ui.client.data.ModelType;
import com.google.gwt.json.client.JSONObject;
import com.google.gwt.json.client.JSONString;

public class JsonWriter
{

    private ModelType modelType;

    public JsonWriter( ModelType modelType )
    {
        this.modelType = modelType;
    }

    // FIXME: only works for single level json messages
    
    public String toJson( ModelData data )
    {
        JSONObject rootJsonObject = new JSONObject();

        for ( Entry<String, Object> entry : data.getProperties().entrySet() )
        {
        	if (entry.getValue() != null)
        	{
        		rootJsonObject.put( entry.getKey(), new JSONString( entry.getValue().toString() ) );
        	}
        }

        if ( modelType.getRoot() != null && !modelType.getRoot().isEmpty() )
        {
            JSONObject wrapper = new JSONObject();
            wrapper.put( modelType.getRoot(), rootJsonObject );
            rootJsonObject = wrapper;
        }

        return rootJsonObject.toString();
    }

}
