/*
 * Copyright (c) 2010-2012 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.plugin.gwt.client.model;

import com.extjs.gxt.ui.client.data.BaseModelData;
import com.extjs.gxt.ui.client.data.ModelType;

public class FormError
    extends BaseModelData
{

    private static final long serialVersionUID = 1L;

    public FormError()
    {
    }

    public FormError( String id, String msg )
    {
        set( "id", id );
        set( "msg", msg );
    }

    public String getId()
    {
        return get( "id" );
    }

    public void setId( String id )
    {
        set( "id", id );
    }

    public String getMessage()
    {
        return get( "msg" );
    }

    public void setMessage( String message )
    {
        set( "msg", message );
    }
    
    public static ModelType getModelType()
    {
        ModelType modelType = new ModelType();
        modelType.setRoot( "errors" );
        modelType.addField( "id" );
        modelType.addField( "msg" );

        return modelType;
    }

}
